# -*- coding: utf-8 -*-
##############################################################################
#
#    Original Module for OpenERP, Open Source Management Solution
#    Copyright (C) 2014 TeMPO CONSULTING (<http://tempo-consulting.fr>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

# Remplie les champs  Compte client et  Compte fournisseur pour tous les
# utilisateurs.
import xmlrpclib
username = 'admin'  # the user
pwd = 'axima'  # the password of the user
dbname = 'AXIMA'  # the database

# Get the uid
sock_common = xmlrpclib.ServerProxy('http://localhost:7069/xmlrpc/common')
uid = sock_common.login(dbname, username, pwd)

# replace localhost with the address of the server
sock = xmlrpclib.ServerProxy('http://localhost:7069/xmlrpc/object')

# Si vrai, n'effectue pas de write et ne n'affiche que ce qui serait fait
# pour Epinal
test = False

user_domain = [('id', '!=', 1)]
if test:
    user_domain.append(('login', '=', 'Epinal'))
user_ids = sock.execute(dbname, uid, pwd, 'res.users', 'search', user_domain)

for user_id in user_ids:
    fields = ['company_id', 'login', 'partner_id']  # fields to read
    # print user_id, fields
    data = sock.execute(
        dbname,
        uid,
        pwd,
        'res.users',
        'read',
        [user_id],
        fields)  # ids is a list of id
    company_id = data[0]['company_id'][0]
    user_partner_id = data[0]['partner_id'][0]

    print "Traitement de l'agence", data[0]['login']
    if test:
        print 'company_id', company_id
        print 'user_id', user_partner_id
    property_account_payable = 368
    property_account_receivable = 369
    values = {
        'property_account_payable': property_account_payable,
        'property_account_receivable': property_account_receivable,
        }
    # 'create_uid' : user_id,
    # 'write_uid' : user_id,
    # 'company_id' : company_id,
    # c'est l'utilisateur connecté qui est utilisé pour remplir create_uid,
    # write_uid et company_id
    uid = user_id
    pwd = 'test'
    domain = [('customer', '=', True), ('user_id', '=', uid)]
    customer_ids = sock.execute(
        dbname,
        uid,
        pwd,
        'res.partner',
        'search',
        domain)
    if test:
        print 'values', values
        print 'customer_ids', customer_ids, '\n'
        params = {'dbname': dbname, 'uid': uid, 'pwd': pwd,
                  'customer_ids': customer_ids, 'values': values}
        print ("sock.execute(%(dbname)s, %(uid)s, %(pwd)s, 'res.partner', "
               "'write', %(customer_ids)s,  %(values)s)") % params
    if not test:
        sock.execute(
            dbname,
            uid,
            pwd,
            'res.partner',
            'write',
            customer_ids,
            values)
